Bug 567877

Summary: Review Request: vnc2flv - Screen recording tool that captures a VNC session and saves as FLV
Product: [Fedora] Fedora Reporter: Chen Lei <supercyper1>
Component: Package ReviewAssignee: Thomas Spura <tomspur>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dtimms, fedora-package-review, notting, tcallawa, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-04 09:59:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Chen Lei 2010-02-24 02:54:35 EST
Description:
Vnc2flv is a cross-platform screen recording tool for UNIX, Windows or Mac. It captures a VNC desktop session (either your own screen or a remote computer) and saves as a Flash Video (FLV) file.

(Vnc2flv is a rewrite of its predecessor, vnc2swf. As FLV format is more prevalent today, vnc2flv is specialized for FLV format and aims at a simpler and more lightweight functionality.) 

vnc2swf already in the repo of fedora
https://admin.fedoraproject.org/pkgdb/packages/name/pyvnc2swf


SPEC:http://dl.dropbox.com/u/1338197/1/vnc2flv.spec
SRPM:http://dl.dropbox.com/u/1338197/1/vnc2flv-20100207-1.fc12.src.rpm
Comment 1 Thomas Spura 2010-06-20 11:45:41 EDT
Review:

Good:
- group ok
- name ok (this is also a python module, but will mainly used from commandline)
- libs correctly packaged
- no *.la

Needswork:
- https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
  better use the new python defines from https://fedoraproject.org/wiki/Packaging:Python#Macros

- Summary might be too long to display everywhere. How about
  "VNC recording tool that saves session as FLV" ?

- Why so much R? xorg-x11-utils alsa-utils and gawk should be added automatically, when the *.so requires it. So it seems, it doesn't.
  (Couldn't find something about this in a *.py file, can you give me a pointer?)

- %doc also needs to contain README.rst

- add a %check section e.g.:
  %check
  PYTHONPATH=%{buildroot}%{python_sitearch} python flvscreen/test.py

- %files contains hardcoded python version and version of this package
  There will be likely a python 2.7, so this will fails building, please change it to e.g.: %{python_sitearch}/vnc2flv-%{version}-py?.?.egg-info


##############################################################################
############################ blocking FE-LEGAL ###############################

- I'm unsure about the license. A comment from vnc2flv/d3des.py:
# This is a Python rewrite of d3des.c by Richard Outerbridge.
#
# I referred to the original VNC viewer code for the changes that
# is necessary to maintain the exact behavior of the VNC protocol.
# Two constants and two functions were added to the original d3des
# code.  These added parts were written in Python and marked
# below.  I believe that the added parts do not make this program
# a "derivative work" of the VNC viewer (which is GPL'ed and
# written in C), but if there's any problem, let me know.
#
# Yusuke Shinyama (yusuke at cs dot nyu dot edu)


#  D3DES (V5.09) -
#
#  A portable, public domain, version of the Data Encryption Standard.
#
#  Written with Symantec's THINK (Lightspeed) C by Richard Outerbridge.
#  Thanks to: Dan Hoey for his excellent Initial and Inverse permutation
#  code;  Jim Gillogly & Phil Karn for the DES key schedule code; Dennis
#  Ferguson, Eric Young and Dana How for comparing notes; and Ray Lau,
#  for humouring me on.
#
#  Copyright (c) 1988,1989,1990,1991,1992 by Richard Outerbridge.
#  (GEnie : OUTER; CIS : [71755,204]) Graven Imagery, 1992.
#

-> "two functions were *ADDED* to the *ORIGINAL* d3des code" etc
   So I'd say this also needs to be GPL'ed like d3des and not MIT

spot, what do you think?
Comment 2 Chen Lei 2010-06-20 13:03:16 EDT
> Needswork:
> -
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
>   better use the new python defines from
> https://fedoraproject.org/wiki/Packaging:Python#Macros

I'll modify it against latest guideline.

> - Summary might be too long to display everywhere. How about
>   "VNC recording tool that saves session as FLV" ?
I copy this summary from PKG-INFO, I'll try to shorten it in next release.

> - Why so much R? xorg-x11-utils alsa-utils and gawk should be added
> automatically, when the *.so requires it. So it seems, it doesn't.
>   (Couldn't find something about this in a *.py file, can you give me a
> pointer?)
vnc2flv-recordwin.sh use those utilities.

> - %doc also needs to contain README.rst
> - add a %check section e.g.:
>   %check
>   PYTHONPATH=%{buildroot}%{python_sitearch} python flvscreen/test.py
> - %files contains hardcoded python version and version of this package
>   There will be likely a python 2.7, so this will fails building, please change
> it to e.g.: %{python_sitearch}/vnc2flv-%{version}-py?.?.egg-info
Will be fixed in next release.

> ##############################################################################
> ############################ blocking FE-LEGAL ###############################
> - I'm unsure about the license. A comment from vnc2flv/d3des.py:
> # This is a Python rewrite of d3des.c by Richard Outerbridge.
> #
> # I referred to the original VNC viewer code for the changes that
> # is necessary to maintain the exact behavior of the VNC protocol.
> # Two constants and two functions were added to the original d3des
> # code.  These added parts were written in Python and marked
> # below.  I believe that the added parts do not make this program
> # a "derivative work" of the VNC viewer (which is GPL'ed and
> # written in C), but if there's any problem, let me know.
> #
> # Yusuke Shinyama (yusuke at cs dot nyu dot edu)
> #  D3DES (V5.09) -
> #
> #  A portable, public domain, version of the Data Encryption Standard.
> #
> #  Written with Symantec's THINK (Lightspeed) C by Richard Outerbridge.
> #  Thanks to: Dan Hoey for his excellent Initial and Inverse permutation
> #  code;  Jim Gillogly & Phil Karn for the DES key schedule code; Dennis
> #  Ferguson, Eric Young and Dana How for comparing notes; and Ray Lau,
> #  for humouring me on.
> #
> #  Copyright (c) 1988,1989,1990,1991,1992 by Richard Outerbridge.
> #  (GEnie : OUTER; CIS : [71755,204]) Graven Imagery, 1992.
> #
> -> "two functions were *ADDED* to the *ORIGINAL* d3des code" etc
>    So I'd say this also needs to be GPL'ed like d3des and not MIT
> spot, what do you think?    

The license is Okay, unless d3des.py has some patent issues, I won't think it's a block for vnc2flv.
Comment 3 Tom "spot" Callaway 2010-10-15 15:45:23 EDT
Since the original d3des code is Public Domain, and this Python code is a derived work of that, as opposed to being a derived work of the VNC viewer code, the license is fine. Lifting FE-Legal.
Comment 4 Bug Zapper 2010-11-03 17:27:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Thomas Spura 2011-10-06 18:13:54 EDT
Are you still interested in this package?

Only saw your changes by looking for old review requests now -.-

A ping with your changes would be great to see last year ;)
Comment 6 Thomas Spura 2011-11-03 17:58:16 EDT
Another ping.

Will close this soon without further response.
Comment 7 Thomas Spura 2011-12-04 09:59:09 EST
Seems this is dead. Feel free to reopen, if you are still interested in this...

Closing